tigase.server

## Class XMPPServer

- java.lang.Object
- - tigase.server.XMPPServer

-     public final class XMPPServer
      extends Object

  Describe class XMPPServer here. Created: Wed Nov 23 07:04:18 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIGURATOR_PROP_KEY`
    `static String` | `HARDENED_MODE_KEY`
    `static String` | `NAME` Field description

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageReceiver` | `getComponent(String name)`
    `static ConfiguratorAbstract` | `getConfigurator()` Deprecated.
    `static String` | `getImplementationVersion()` Method description
    `static String` | `help()` Returns help regarding command line parameters
    `static boolean` | `isHardenedModeEnabled()`
    `static boolean` | `isOSGi()`
    `static void` | `main(String[] args)` Describe `main` method here.
    `static void` | `parseParams(String[] args)` Method description
    `static void` | `setOSGi(boolean val)`
    `static void` | `start(String[] args)`
    `static void` | `stop()`
    `static String` | `version()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGURATOR_PROP_KEY

          public static final String CONFIGURATOR_PROP_KEY

      See Also:
        Constant Field Values

    - #### HARDENED_MODE_KEY

          public static final String HARDENED_MODE_KEY

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isHardenedModeEnabled

          public static boolean isHardenedModeEnabled()

    - #### getImplementationVersion

          public static String getImplementationVersion()

      Method description

    - #### help

          public static String help()

      Returns help regarding command line parameters

    - #### main

          public static void main(String[] args)

      Describe `main` method here.
      Parameters:
        `args` - a `String[]` value

    - #### start

          public static void start(String[] args)

    - #### setOSGi

          public static void setOSGi(boolean val)

    - #### isOSGi

          public static boolean isOSGi()

    - #### stop

          public static void stop()

    - #### getConfigurator

          @Deprecated
          public static ConfiguratorAbstract getConfigurator()

      Deprecated.
      Allows obtaining `ConfiguratorAbstract` implementation used by Tigase to handle all configuration of the server.
      Returns:
        implementation of `ConfiguratorAbstract` interface.

    - #### getComponent

          public static MessageReceiver getComponent(String name)

    - #### parseParams

          public static void parseParams(String[] args)

      Method description
      Parameters:
        `args` -

    - #### version

          public static String version()

      Method description

Copyright © 2022 "Tigase, Inc.". All rights reserved.